/****************************************************/
/******************* Button block *******************/
/****************************************************/

:is(.wp-block-button, .wp-block-read-more).is-style-icon {
	aspect-ratio: 1/1;
}
.is-style-icon.wp-block-button .wp-block-button__link:not(.wp-block-button__link-icon),
.is-style-icon.wp-block-read-more {
	font-size: 0px;	
}
.is-style-icon.wp-block-button .wp-block-button__link .wp-block-button__link-icon {
	font-size: 20px;
}
.is-style-icon.wp-block-read-more::after {
	content: '';
	display: block;
	width: 56px;
	height: 56px;
	background-image: url('/wp-content/uploads/2026/07/icon-core-chevron.png');
	background-position: center;
	background-repeat: no-repeat;
	background-size: 24px;	
}

/****************************************************/
/****************** Loginout block ******************/
/****************************************************/

.wp-block-loginout.is-style-outline-button {
	width: fit-content;
	text-align: center;
}
.wp-block-loginout.is-style-outline-button a {
	display: inline-block;
	padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40);
	color: inherit;
	text-transform: inherit;
	text-decoration: inherit;
}
@media screen and (max-width: 992px) {
	.wp-block-loginout.is-style-outline-button {
		width: 100%;
	}
}

/****************************************************/
/******************* Search Block *******************/
/****************************************************/

.wp-block-search__button-only.wp-block-search {
	position: relative;
}
.wp-block-search__button-only.wp-block-search .wp-block-search__inside-wrapper {
	flex-direction: row-reverse;
	align-items: center;
	gap: 8px;
}
.wp-block-search__button-only.wp-block-search .wp-block-search__input {
	border-radius: 0px;
	border: 1px solid var(--wp--preset--color--core-border);
	background-color: var(--wp--preset--color--core);
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.04) inset;
	color: var(--wp--preset--color--core-text);
	padding: 16px;
	height: 45px;
	position: absolute;
	top: 35px;
	left: 0px;
	z-index: 1;
}
.wp-block-search__button-only.wp-block-search .wp-block-search__button {
	padding: 0px;
	-webkit-transition: all 0.3s;
	transition: all 0.3s;
}
.wp-block-search__button-only.wp-block-search .wp-block-search__button svg {
	height: 32px;
	min-height: 32px;
	min-width: 32px;
	width: 32px;
	transform: scaleX(-1);
}

.wp-block-search__button-inside.wp-block-search .wp-block-search__input {
	padding: var(--wp--preset--spacing--20);
}
.wp-block-search__button-inside.wp-block-search .wp-block-search__button {
	font-family: var(--wp--preset--font-family--secondary);
	margin: 0px;
}

/****************************************************/
/******************* Detail Block *******************/
/****************************************************/

.wp-block-details summary {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	gap: var(--wp--preset--spacing--20);
	list-style-type: none;
}
.wp-block-details summary::before {
	content: '';
	display: block;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M18 10.6004L17 9.40039L12 14.0004L7 9.40039L6 10.6004L12 16.0004L18 10.6004Z' fill='%23002b51fc'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	width: 24px;
	min-width: 24px;
	height: 24px;
}
.wp-block-details[open] summary::before {
	transform: rotate(180deg);
}
.has-contrast-heading-color.wp-block-details summary::before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M18 10.6004L17 9.40039L12 14.0004L7 9.40039L6 10.6004L12 16.0004L18 10.6004Z' fill='%23F8D700'/%3E%3C/svg%3E");
}

/****************************************************/
/****************** Accordion Block *****************/
/****************************************************/

.wp-block-accordion .wp-block-accordion-heading__toggle-title {
	color: var(--wp--preset--color--core-text);
	font-family: var(--wp--preset--font-family--primary);
	font-size: var(--wp--preset--font-size--body-default);
	font-weight: 500;
	line-height: 1.5;
	text-decoration: none !important;
}
.wp-block-accordion .wp-block-accordion-heading__toggle {
	padding: var(--wp--preset--spacing--30) 0;
}
.wp-block-accordion .wp-block-accordion-panel {
	margin-top: 0px;
	padding: 0 0 var(--wp--preset--spacing--30) 0;
}
.wp-block-accordion .wp-block-accordion-heading__toggle-icon {
	color: var(--wp--preset--color--brand);
	font-size: 0;
	width: 24px;
	min-width: 24px;
	height: 24px;
}
.wp-block-accordion .wp-block-accordion-heading__toggle-icon {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M18 10.5999L17 9.3999L12 13.9999L7 9.3999L6 10.5999L12 15.9999L18 10.5999Z' fill='%23D43220'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	font-size: 0px;
}
.wp-block-accordion .wp-block-accordion-item.is-open .wp-block-accordion-heading__toggle-icon {
	transform: rotate(180deg);
}

.has-contrast-background-color .wp-block-accordion .wp-block-accordion-heading__toggle-title,
.has-contrast-background-color .wp-block-accordion .wp-block-accordion-panel {
	color: var(--wp--preset--color--contrast-heading);
}
.has-contrast-background-color .wp-block-accordion .wp-block-accordion-heading__toggle-icon {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M18 10.5999L17 9.3999L12 13.9999L7 9.3999L6 10.5999L12 15.9999L18 10.5999Z' fill='white'/%3E%3C/svg%3E");
}
.has-contrast-background-color .wp-block-accordion-item {
	border-color: var(--wp--preset--color--contrast-border);
}

/****************************************************/
/******************** List Block ********************/
/****************************************************/

:is(.is-style-alt, .is-style-reverse-alt).wp-block-list {
	list-style-type: none;
	width: 100%;
}
:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li,
:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li a {
	display: block;
}
:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li {
	padding: var(--wp--preset--spacing--30) 0px;
}
.wp-block-list.is-style-alt > li {
	border-bottom: 1px solid var(--wp--preset--color--core-border);
}
.wp-block-list.is-style-reverse-alt > li {
	border-bottom: 1px solid var(--wp--preset--color--contrast-border);
}
:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li:has(a) {
	padding: 0px;
}
:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li a {
	padding-top: var(--wp--preset--spacing--30);
	padding-left: 0;
	padding-right: var(--wp--preset--spacing--50);
	padding-bottom: var(--wp--preset--spacing--30);
	background-position: right center;
	background-size: 24px;
	background-repeat: no-repeat;
	color: inherit;
	text-decoration: none;
}
.wp-block-list.is-style-alt > li a {
	background-image: url('/wp-content/uploads/2026/07/icon-core-arrow.png');
}
.wp-block-list.is-style-reverse-alt > li a {
	background-image: url('/wp-content/uploads/2026/07/icon-contrast-arrow.png');
}
@media screen and (max-width: 992px) {
	:is(.is-style-alt, .is-style-reverse-alt).wp-block-list > li a {
		padding-right: var(--wp--preset--spacing--60);
	}
}

/****************************************************/
/****************** Carousel Block ******************/
/****************************************************/

.wp-block-cb-carousel-v2:not(.alt-style) :is(.cb-button-prev, .cb-button-next) {
	color: var(--wp--preset--color--brand);
}
.wp-block-cb-carousel-v2:not(.alt-style) .swiper {
	padding-bottom: calc(8px + (var(--wp--preset--spacing--50)));
	margin-bottom: 0px;
}
.wp-block-cb-carousel-v2:not(.alt-style) .swiper-pagination {
	top: unset;
	bottom: 0px;
}
:root .wp-block-cb-carousel-v2:not(.alt-style) .swiper-pagination-bullet {
	opacity: 1;
	background: rgba(9, 9, 9, 0.20);
}
:root .wp-block-cb-carousel-v2:not(.alt-style) .swiper-pagination-bullet-active {
	background: var(--wp--preset--color--brand);
}

.alt-style.wp-block-cb-carousel-v2 {
	padding-top: calc(54px + var(--wp--preset--spacing--50));
}
.alt-style.wp-block-cb-carousel-v2 :is(.cb-button-prev, .cb-button-next) {
	border: 1px solid var(--wp--preset--color--core-border);
	border-top: 0px;
	border-left: 0px;
	background-color: var(--wp--preset--color--core-tint);
	color: var(--wp--preset--color--core-heading);
	top: 0px;
	width: 54px;
	height: 54px;
	margin-top: 0px;
}
.alt-style.wp-block-cb-carousel-v2 .cb-button-prev {
	right: unset;
	left: calc(-1 * var(--wp--preset--spacing--40));
}
.alt-style.wp-block-cb-carousel-v2 .cb-button-next {
	right: unset;
	left: 31px;
}
.alt-style.wp-block-cb-carousel-v2 :is(.cb-button-prev, .cb-button-next):after {
	font-size: 12px;
}
@media screen and (min-width: 769px) {
	.alt-style.wp-block-cb-carousel-v2 .swiper-slide {
		margin-right: 24px;
	}
}

.has-contrast-background-color .alt-style.wp-block-cb-carousel-v2 :is(.cb-button-prev, .cb-button-next) {
	border: 1px solid var(--wp--preset--color--contrast-border);
	background-color: var(--wp--preset--color--contrast-tint);
	color: var(--wp--preset--color--contrast-heading);
}

/****************************************************/
/********************** Card ************************/
/****************************************************/

.wp-block-group.is-linked a.wp-block-group__link {
	max-width: 100%;
}

.is-style-card-title a {
	color: inherit;
	text-decoration: inherit;
}

.is-style-reverse-card .is-style-card-title a {
	color: var(--wp--preset--color--contrast-heading);
}
.is-style-reverse-card :is(p, ul, li, .wp-block-post-date, div) {
	color: var(--wp--preset--color--contrast-text);
}
.is-style-reverse-card .is-style-icon.wp-block-read-more,
.is-style-reverse-card .is-style-icon.wp-block-button .wp-block-button__link {
	border-color: var(--wp--preset--color--contrast-border);
	background-color: var(--wp--preset--color--contrast-border);
	color: var(--wp--preset--color--core);
}
.is-style-reverse-card .is-style-icon.wp-block-read-more::after {
	background-image: url('/wp-content/uploads/2026/07/icon-contrast-chevron.png');
}

.is-style-simple-card .wp-block-image {
	overflow: hidden;
}

/****************************************************/
/********************* FacetWP **********************/
/****************************************************/

:root .facetwp-type-fselect .fs-wrap,
:root .facetwp-type-fselect .fs-label-wrap,
:root .facetwp-facet-search .facetwp-input-wrap {
	width: 100%;
}
:root .facetwp-facet input.facetwp-search,
:root .facetwp-facet input.facetwp-location {
	min-width: unset;
}
:root .facetwp-facet .fs-label-wrap .fs-label,
:root .facetwp-facet-search input {
	color: var(--wp--preset--color--core-text);
	font-family: var(--wp--preset--font-family--primary);
	font-size: var(--wp--preset--font-size--body-small);
	font-weight: 400;
	line-height: 1.5;
	width: -webkit-fill-available;
}
:root .facetwp-icon {
	opacity: 1;
}
:root .facetwp-icon:before {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M13 5C9.7 5 7 7.7 7 11C7 12.4 7.5 13.7 8.3 14.7L4.5 18.5L5.6 19.6L9.4 15.8C10.4 16.6 11.7 17.1 13.1 17.1C16.4 17.1 19.1 14.4 19.1 11.1C19.1 7.8 16.3 5 13 5ZM13 15.5C10.5 15.5 8.5 13.5 8.5 11C8.5 8.5 10.5 6.5 13 6.5C15.5 6.5 17.5 8.5 17.5 11C17.5 13.5 15.5 15.5 13 15.5Z' fill='%234C505E'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-position: center right 16px;
	background-size: 24px;
	width: 40px;
	height: 100%;
}
:root .facetwp-type-fselect .fs-label-wrap,
:root .facetwp-facet-search input {
	border: 1px solid var(--wp--preset--color--core-border);
	background: var(--wp--preset--color--core);
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.04) inset;
}
:root .facetwp-type-fselect .fs-label-wrap .fs-label,
:root .facetwp-facet-search input {
	padding-top: var(--wp--preset--spacing--30);
	padding-left: var(--wp--preset--spacing--30);
	padding-right: calc(40px + var(--wp--preset--spacing--30)) !important;
	padding-bottom: var(--wp--preset--spacing--30);
}
:root .facetwp-type-fselect .fs-arrow {
	border: 0px;
	width: 24px;
	height: 24px;
	right: var(--wp--preset--spacing--30);
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M17.5 11.6004L12 16.0004L6.5 11.6004L7.4 10.4004L12 14.0004L16.5 10.4004L17.5 11.6004Z' fill='%234C505E'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-size: 24px;
	background-position: center;
}
:root .facetwp-type-fselect .fs-option,
:root .facetwp-type-fselect .fs-no-results {
	font-size: 14px;
}

:root .facetwp-facet {
	margin-bottom: 0;
}

:root a.facetwp-reset {
	display: inline-block;
	border: 1px solid var(--wp--preset--color--core-heading);
	background-color: var(--wp--preset--color--core-heading);
	padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40);
	color: var(--wp--preset--color--contrast-heading);
	font-weight: 400;
	line-height: 1;
	text-align: center;
	text-decoration: none;
	width: -webkit-fill-available;
	-webkit-transition: all 0.3s;
	transition: all 0.3s;
}
:root a.facetwp-reset:hover {
	border-color: var(--wp--preset--color--brand);
	background-color: var(--wp--preset--color--brand);
}

:root .facetwp-facet-a_z_listing {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
}
:root .facetwp-facet-a_z_listing .facetwp-alpha.available {
	color: var(--wp--preset--color--brand);
	text-decoration: underline;
	text-underline-offset: 2px;
}

/****************************************************/
/******************* Pagination *********************/
/****************************************************/

.wp-block-query-pagination,
.wp-block-query-pagination .wp-block-query-pagination-numbers,
:root .facetwp-facet-pagination > .facetwp-pager {
	gap: 11px;
}
.wp-block-query-pagination-numbers,
:root .facetwp-facet-pagination > .facetwp-pager {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
}
.facetwp-facet.facetwp-facet-pagination {
	text-align: center;
}
.facetwp-facet.facetwp-facet-pagination .facetwp-page {
	padding: 0px;
	margin-right: 0px;
}
.facetwp-facet.facetwp-facet-pagination .facetwp-page.active {
	color: var(--wp--preset--color--core-text);
	font-weight: 400;
	text-decoration: none;
}

/****************************************************/
/***************** Button Unstyled ******************/
/****************************************************/

.button-unstyled .wp-block-button__link {
	background-color: unset;
	border: unset;
	padding: unset;
	color: var(--wp--preset--color--brand);
	text-decoration: underline;
	text-underline-offset: 2px;
}

/****************************************************/
/******************* Lines Logic ********************/
/****************************************************/

:is(.is-style-card, .is-style-reverse-card) .is-style-icon.wp-block-button .wp-block-button__link,
:is(.is-style-card, .is-style-reverse-card) .is-style-icon.wp-block-read-more {
	border-right: 0px;
	border-bottom: 0px;
	margin-bottom: 0px;
}
@media screen and (min-width: 993px) {
	div[style*="border"] > .wp-block-query > .is-layout-flow.wp-block-post-template > .wp-block-post > :is(.is-style-card, .is-style-reverse-card) {
		border-left: 0px;
		border-right: 0px;	
	}
	div[style*="border"] > .wp-block-query > .is-layout-flow.wp-block-post-template > .wp-block-post:not(:last-child) > :is(.is-style-card, .is-style-reverse-card) {
		border-bottom: 0px;	
	}
	:is(.is-style-card, .is-style-reverse-card).grid-border-no-left {
		border-left: 0px;
	}
	:is(.is-style-card, .is-style-reverse-card).grid-border-no-right {
		border-right: 0px;
	}
}
@media screen and (max-width: 992px) {
	div[style*="border"] :is(.is-layout-grid) :is(.is-style-card, .is-style-reverse-card) {
		border-left: 0px;
		border-right: 0px;
	}
}